org.apache.kylin.jdbc.json

## Class TableMetaStub

- java.lang.Object
- - org.apache.kylin.jdbc.json.TableMetaStub

    public class TableMetaStub
    extends Object

### Nested Class Summary

Nested Classes
`static class` `TableMetaStub.ColumnMetaStub`

### Constructor Summary

Constructors
Constructor and Description
`TableMetaStub()`

### Method Summary

Methods
`List<TableMetaStub.ColumnMetaStub>` `getColumns()`
`String` `getREF_GENERATION()`
`String` `getREMARKS()`
`String` `getSELF_REFERENCING_COL_NAME()`
`static long` `getSerialversionuid()`
`String` `getTABLE_CAT()`
`String` `getTABLE_NAME()`
`String` `getTABLE_SCHEM()`
`String` `getTABLE_TYPE()`
`String` `getTYPE_CAT()`
`String` `getTYPE_NAME()`
`String` `getTYPE_SCHEM()`
`void` `setColumns(List<TableMetaStub.ColumnMetaStub> columns)`
`void` `setREF_GENERATION(String rEF_GENERATION)`
`void` `setREMARKS(String rEMARKS)`
`void` `setSELF_REFERENCING_COL_NAME(String sELF_REFERENCING_COL_NAME)`
`void` `setTABLE_CAT(String tABLE_CAT)`
`void` `setTABLE_NAME(String tABLE_NAME)`
`void` `setTABLE_SCHEM(String tABLE_SCHEM)`
`void` `setTABLE_TYPE(String tABLE_TYPE)`
`void` `setTYPE_CAT(String tYPE_CAT)`
`void` `setTYPE_NAME(String tYPE_NAME)`
`void` `setTYPE_SCHEM(String tYPE_SCHEM)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TableMetaStub

    public TableMetaStub()

### Method Detail

#### getTABLE_CAT

    public String getTABLE_CAT()

#### setTABLE_CAT

    public void setTABLE_CAT(String tABLE_CAT)

#### getTABLE_SCHEM

    public String getTABLE_SCHEM()

#### setTABLE_SCHEM

    public void setTABLE_SCHEM(String tABLE_SCHEM)

#### getTABLE_NAME

    public String getTABLE_NAME()

#### setTABLE_NAME

    public void setTABLE_NAME(String tABLE_NAME)

#### getTABLE_TYPE

    public String getTABLE_TYPE()

#### setTABLE_TYPE

    public void setTABLE_TYPE(String tABLE_TYPE)

#### getREMARKS

    public String getREMARKS()

#### setREMARKS

    public void setREMARKS(String rEMARKS)

#### getTYPE_CAT

    public String getTYPE_CAT()

#### setTYPE_CAT

    public void setTYPE_CAT(String tYPE_CAT)

#### getTYPE_SCHEM

    public String getTYPE_SCHEM()

#### setTYPE_SCHEM

    public void setTYPE_SCHEM(String tYPE_SCHEM)

#### getTYPE_NAME

    public String getTYPE_NAME()

#### setTYPE_NAME

    public void setTYPE_NAME(String tYPE_NAME)

#### getSELF_REFERENCING_COL_NAME

    public String getSELF_REFERENCING_COL_NAME()

#### setSELF_REFERENCING_COL_NAME

    public void setSELF_REFERENCING_COL_NAME(String sELF_REFERENCING_COL_NAME)

#### getREF_GENERATION

    public String getREF_GENERATION()

#### setREF_GENERATION

    public void setREF_GENERATION(String rEF_GENERATION)

#### getColumns

    public List<TableMetaStub.ColumnMetaStub> getColumns()

#### setColumns

    public void setColumns(List<TableMetaStub.ColumnMetaStub> columns)

#### getSerialversionuid

    public static long getSerialversionuid()